def _random():
    return 0.08636862211354912


def keyToList(QO, Y0):
    y2 = Y0
    l4 = QO

    oT = QO
    oT ^= oT << 23
    oT ^= oT >> 17
    mu = y2
    oT ^= mu
    oT ^= mu >> 26
    y2 = oT
    l4 = mu
    return (l4 + y2) % 4294967296


def encode(strs, keyNumber):
    gs = int(_random() * 1073741824) | 0
    print(gs)
    print(keyToList(keyNumber, gs))


if __name__ == '__main__':
    s = '{"vKdvCA==":"f1IemtDaOA/kVpyZR3DI","vq9nCA==":"4WEJCCy3r6ugd0yQFCe/B0ddJWX5yKV/+B91Pg4R","yKttCUv21vX6o6c=":"BHNlNzPt8g==","zK9oCEjt1/k=":"6CkmJAH52Q==","xqdxDEPl3f37rqEq06/5rw==":"NegSSBxGJWlSTF1+G++D"}'
    key = 3591488435
    encode(s, key)
